package com.zztrapp.zztrapp.bean;

/**
 * Describe
 * Created by Bby on 2021/10/16
 * Email bby0856@163.com
 */
public class UpGradePackageBean {

    private Boolean success;
    private String message;
    private Integer code;
    private ResultBean result;
    private Long timestamp;

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public ResultBean getResult() {
        return result;
    }

    public void setResult(ResultBean result) {
        this.result = result;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * downloadUrl : "https://xxx"   //apk下载链接
     * content : "1.修改bug\n2.优化体验\n3.新增xx功能"    //版本更新内容
     * versionCode : 100     //app版本code int 类型 用来判断是否有新版本 初始：100
     * versionName : "1.0.0"
     * upType : 1   //升级类型（1普通升级，2强制升级）
     */

    public static class ResultBean {
        private String id;
        private String createTime;
        private String content;
        private String downloadUrl;
        private Integer upType;
        private Integer versionCode;
        private String versionName;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getDownloadUrl() {
            return downloadUrl;
        }

        public void setDownloadUrl(String downloadUrl) {
            this.downloadUrl = downloadUrl;
        }

        public Integer getUpType() {
            return upType;
        }

        public void setUpType(Integer upType) {
            this.upType = upType;
        }

        public Integer getVersionCode() {
            return versionCode;
        }

        public void setVersionCode(Integer versionCode) {
            this.versionCode = versionCode;
        }

        public String getVersionName() {
            return versionName;
        }

        public void setVersionName(String versionName) {
            this.versionName = versionName;
        }
    }
}
